These docs are for v1. Click to read the latest docs for v3.

Edit

The update landmark API allows you to edit the details of an existing landmark. Only one landmark can be updated by a single API call. You are allowed to update landmarks for those you have access to modify.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/landmark/update.json

{  
   "name":"Office Building",
   "latitude":39.288815,
   "longitude": -77.860099,
   "radiusUnit":"miles",
   "radius":1.1234,
   "icon":"Default",
   "type":"Customer",
   "groupName":"San Jose",
   "color":"#999999",
   "firstName":"Gary",
   "lastName":"Thompson",
   "phoneNumber":"4084805544",
   "email":"[email protected]"
}

API Response explanation

FieldDescription
codeAPI Status Code
messageAPI Message (Success/Failure)
generatedAtAPI generation timestamp in UTC
reasonThe reason for failure
currentPageThe current page
totalPagesThe total number of pages in the result
Body Params
string
required

Name of the landmark (the landmark name and one of the following parameters are required for the API call)

string

Latitude coordinate of the landmark

double

Longitude coordinate of the landmark

string

Address of the landmark location (Enter either the latitude-longitude or the address. One of them is mandatory)

int32

Radius of the landmark

string

Unit of radius (metre, kilometre or mile) of the landmark. This needs to be passed along with the radius parameter.

string

Icon of the landmark

string

Type of the landmark

string

Name of the group associated with the landmark

string

Color of the landmark

string

First name of the contact person associated with the landmark

string

Last name of the contact person associated with the landmark

string

Phone number of the contact person associated with the landmark

string

Email address of the contact person associated with the landmark

int32
Defaults to 1

Page number of the paginated result

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json